<!--
Kemoverse - a gacha-style bot for the Fediverse.
Copyright © 2025 Waifu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see https://www.gnu.org/licenses/.
-->

# Contributing to Kemoverse

Contributions are welcome with the following requirements:

## Licensing

- All contributions must be licensed under the **AGPLv3-or-later** or a compatible license.
- If you include code from another project (e.g., MIT Expat), please **list the license and copyright holders** clearly.
- If your contribution introduces code under a different license, you **must clarify this**, so the project can remain license-compliant.

## Attribution

- Please **add your name** to the license header of any file where you’ve made a **nontrivial change**.
- Nontrivial changes include:
  - New features
  - Logic changes
  - Major refactoring or structure changes
  - Not: typo fixes or simple reformatting

## Commit Messages (optional but appreciated)

- Try to write clear, descriptive commit messages.

## Communication

- If you're planning a major change or feature, please open an issue or contact the maintainers first.
- This helps avoid duplicated work and makes collaboration easier.

---

Thank you for helping grow the Kemoverse 💫