<!--
Kemoverse - a gacha-style bot for the Fediverse.
Copyright © 2025 Waifu and contributors.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see https://www.gnu.org/licenses/. 
-->
# 🎲 Kemoverse Documentation

Welcome to the developer documentation for **Kemoverse**, a gacha trading card game in the Fediverse!

Features collectible cards, rarity-based pulls, and integration with Misskey.

Name comes from Kemonomimi and Fediverse.

---

## 📁 Table of Contents

- [Installation](./install.md)
- [Game Design](./design.md)
- [Bot Architecture](./bot.md)
- [Database Structure](./database.md)
- [Card System](./cards.md)
- [Web UI](./web.md)
- [Theming and Assets](./theme.md)
- [Contributing](./contributing.md)
- [FAQ](./faq.md)

---

